Skip to content
Documentation
Explore guides

For administrators

Working categories

List, create, show, update, and delete working categories in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all working categories

GET /api/v3/working_categories

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Full day",
    "description": "Full working day",
    "colour": "green"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Full day",
    "description": "Full working day",
    "colour": "green"
  }
]

Create a working category

POST /api/v3/working_categories

Request

{
  "name": "Full day",
  "description": "Full working day",
  "colour": "green"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Full day",
  "description": "Full working day",
  "colour": "green"
}

Show a working category

GET /api/v3/working_categories/{working_category_id}

Parameter Type Description
working_category_id string (UUID) Working category id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Full day",
  "description": "Full working day",
  "colour": "green"
}

Update a working category

PUT /api/v3/working_categories/{working_category_id}

Request

{
  "name": "Half day",
  "description": "Updated description",
  "colour": "orange"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Half day",
  "description": "Updated description",
  "colour": "orange"
}

Delete a working category

DELETE /api/v3/working_categories/{working_category_id}

Response 200

{}